Name:           mpark_patterns
Version:        0.3.0
Release:        %autorelease
Summary:        An experimental pattern matching library for C++17

License:        BSL-1.0
URL:            https://github.com/mpark/patterns
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch:          cmake.patch
BuildArch:      noarch

BuildRequires:  gcc-c++
BuildRequires:  cmake


%description
%{summary}.


%package        devel
Summary:        Header files for %{name}

%description    devel
%{summary}.


%prep
%autosetup -n patterns-%{version} -p1


%build
%cmake
%cmake_build


%install
%cmake_install


%files devel
%license LICENSE.md
%doc README.md
%{_includedir}/mpark/
%{_datadir}/cmake/mpark_patterns/


%changelog
%autochangelog
